﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AnimatorController : MonoBehaviour {

    private Animator _anim;
    private PlayerScript _player;
	
    // Use this for initialization
	void Start () {
        _anim = GetComponent<Animator>();

        _player = GetComponent<PlayerScript>();	
	}
	
	// Update is called once per frame
	void Update () {

        if (_player.canMove == true) {
            if (Input.GetKey(KeyCode.W) || Input.GetKey(KeyCode.A) || Input.GetKey(KeyCode.S) || Input.GetKey(KeyCode.D) || Input.GetKey(KeyCode.UpArrow) || Input.GetKey(KeyCode.DownArrow) || Input.GetKey(KeyCode.LeftArrow) || Input.GetKey(KeyCode.RightArrow))
            {
                _anim.SetBool("Move", true);
            }
            else
            {
                _anim.SetBool("Move", false);
            }

            /*if (Input.GetKey(KeyCode.Space))
            {
                _anim.SetBool("SpacePressed", true);
            }
            else
            {
                _anim.SetBool("SpacePressed", false);
            }*/

            if (_player.teste == true)
            {
                _anim.SetBool("Grounded", true);
            }
            else
            {
                _anim.SetBool("Grounded", false);
            }

        }
        else if (_player.canMove == false)
        {
            _anim.SetBool("Move", false);
        }
    }
}
