﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class GameManager : MonoBehaviour {

    private PlayerScript _player;

    //private bool _gameOver = false;

    private UIManager _uiManager;

    public int fruitsGet = 0;

    private Level1Manager _level1Manager;


    // Use this for initialization
    void Start () {
        _player = GameObject.Find("Player").GetComponent<PlayerScript>();

        _uiManager = GameObject.Find("Canvas").GetComponent<UIManager>();

        if (SceneManager.GetActiveScene() == SceneManager.GetSceneByName("Level1"))
        {
            _level1Manager = GameObject.Find("LevelManager").GetComponent<Level1Manager>();
        }

    }
	
	// Update is called once per frame
	void Update () {
        if (_player.life <= 0)
        {
            //_gameOver = true;
            _uiManager.GameOverPanelOn();
        }
	}

    public void LevelsManagers(int _idFruit)
    {
        if (SceneManager.GetActiveScene() == SceneManager.GetSceneByName("Level1"))
        {
            _level1Manager.UpdateLevel1UI();
        }
      
    }
}
