﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HeartAnimatorController : MonoBehaviour {

    private PlayerScript _player;

    [SerializeField]
    private GameObject[] _hearts;

    private Animator _anim;
    private Animator _anim2;
    private Animator _anim3;
    
    // Use this for initialization
	void Start () {
        _player = GameObject.Find("Player").GetComponent<PlayerScript>();

        _anim = GameObject.Find("Heart1").GetComponent<Animator>();
        _anim2 = GameObject.Find("Heart2").GetComponent<Animator>();
        _anim3 = GameObject.Find("Heart3").GetComponent<Animator>();


    }
	
	// Update is called once per frame
	void Update () {
        if (_player.life == 3)
        {
            _anim3.SetBool("Pulse", true);
            _anim2.SetBool("Pulse", false);
            _anim.SetBool("Pulse", false);
        }else if (_player.life == 2)
        {
            _anim3.SetBool("Pulse", false);
            _anim2.SetBool("Pulse", true);
            _anim.SetBool("Pulse", false);
        }else if (_player.life == 1)
        {
            _anim3.SetBool("Pulse", false);
            _anim2.SetBool("Pulse", false);
            _anim.SetBool("Pulse", true);
        }
        else
        {
            _anim3.SetBool("Pulse", false);
            _anim2.SetBool("Pulse", false);
            _anim.SetBool("Pulse", false);
        }
	}
}
