﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class NextLevel : MonoBehaviour {

    [SerializeField]
    private float _timer = 0;
    [SerializeField]
    private int _levelIndex;

    void Start()
    {
        _levelIndex = SceneManager.GetActiveScene().buildIndex;
    }

    void Update()
    {
        if (_timer >= 1.5f)
        {
            SceneManager.LoadScene(_levelIndex + 1);
        }    
    }

    private void OnTriggerStay(Collider other)
    {
        if (other.tag == "Player")
        {
            _timer += Time.deltaTime;
        }

    }

    private void OnTriggerExit(Collider other)
    {
        if (other.tag == "Player")
        {
            _timer = 0;
        }
    }
}
