﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ArrowMove : MonoBehaviour
{
    private Vector2 _initialPosition;
    private Vector2 _endPosition;

    [SerializeField]
    private GameObject _dropArea;
    [SerializeField]
    private GameObject _itemSlot;

    private void Start()
    {
        _initialPosition.y = this.gameObject.transform.position.y;
        _initialPosition.x = _itemSlot.transform.position.x;
        _endPosition.x = _dropArea.transform.position.x - 100;
    }

    // Update is called once per frame
    void Update()
    {
        this.gameObject.transform.Translate(Vector2.right * 2);

        if (this.gameObject.transform.position.x >= _endPosition.x)
        {
            gameObject.transform.position = _initialPosition;
        }
    }
}
