﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FloatObject : MonoBehaviour
{

    private Vector3 _initialposition;

    private float _maxUp = 0.3f;
    private float _maxDown = 0.3f;

    private int _direction = 1;

    private float _speed = 0.5f;

    void Start()
    {
        _initialposition = transform.position;
        _maxUp += _initialposition.y;
        _maxDown = _initialposition.y -_maxDown;
    }


    void Update()
    {
        if (transform.position.y > _maxUp)
        {
            _direction = -1;
        }
        else if (transform.position.y < _maxDown)
        {
            _direction = 1;
        }

        transform.Translate(Vector3.up * _direction * _speed * Time.deltaTime);
    }
}
