﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GreenLight : MonoBehaviour
{
    private Material _material;

    private Light _light;

    [SerializeField]
    private int _lightId;

    void Start()
    {
        _material = GetComponent<Renderer>().materials[1];
        _light = GetComponentInChildren<Light>();
    }

    public void SetGreen()
    {
        _material.SetColor("_EmissionColor", Color.green);
        _light.color = Color.green;
    }

    public void SetRed()
    {
        _material.SetColor("_EmissionColor", Color.red);
        _light.color = Color.red;
    }
}
