﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MovingPlataformScript : MonoBehaviour {

    private bool _move = false;
    //[SerializeField]
    //private bool _goBack = false;
    private float _speed = 2.5f;
    [SerializeField]
    private GameObject _player;
    private float _position;

    private void Start()
    {
        _position = transform.position.z;
    }

    // Update is called once per frame
    void Update () {
        if (((_move == true) && (transform.position.z <= _position + 10.0f)))
        {
            transform.Translate(Vector3.forward * _speed * Time.deltaTime);
        }
        
	}

    private void OnTriggerEnter(Collider other)
    {
        if (other.tag == "Player")
        {
            _move = true;
            _player.transform.parent = transform;
            //Debug.Log(_move);
        }
    }

    private void OnTriggerExit(Collider other)
    {
        if (other.tag == "Player")
        {
            _player.transform.parent = transform;
            //Debug.Log("Entrou");
        }
    }

    private IEnumerator WaitTime()
    {
        yield return new WaitForSeconds(2);
    }


}
