﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class CanvasNextLevelScript : MonoBehaviour
{

    [SerializeField]
    private GameObject _panelChooseLevel;
    [SerializeField]
    private GameObject[] _mainButtons;

    public void NextLevel()
    {
        if (SceneManager.GetActiveScene() == SceneManager.GetSceneByName("Level1"))
        {
            SceneManager.LoadScene("Level2");
        }
        else if (SceneManager.GetActiveScene() == SceneManager.GetSceneByName("Level2"))
        {
            SceneManager.LoadScene("Level3");
        }
        else if (SceneManager.GetActiveScene() == SceneManager.GetSceneByName("Level3"))
        {
            SceneManager.LoadScene("Level4");
        }
        else if (SceneManager.GetActiveScene() == SceneManager.GetSceneByName("Level4"))
        {
            SceneManager.LoadScene("Level5");
        }
    }

    public void MainMenu()
    {
        SceneManager.LoadScene("MainMenu");
    }

    public void ChooseLevel()
    {
        for (int i = 0; i < 3; i++)
        {
            _mainButtons[i].SetActive(false);
        }

        _panelChooseLevel.SetActive(true);
    }

    public void ReturnEndPanel()
    {
        for (int i = 0; i < 3; i++)
        {
            _mainButtons[i].SetActive(true);
        }

        _panelChooseLevel.SetActive(false);
    }

}
