﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Level3UI : MonoBehaviour
{

    [SerializeField]
    private RawImage[] _fruitsImages;
    [SerializeField]
    private Text _text;

    private GameManager _gameManager;

    // Use this for initialization
    void Start()
    {
        _gameManager = GameObject.Find("GameManager").GetComponent<GameManager>();
    }

    public void ColorOn(int idfruit)
    {
        _fruitsImages[idfruit - 1].color = new Color(1f, 1f, 1f, 1f);
    }

    public void UpdateTextCount()
    {
        _text.text = _gameManager.fruitsGet + "/3";
    }
}
